### Virtual Method

# EvinceDocument DocumentFind find_text_with_options

#### Declaration [src]

    GList*
    find_text_with_options (
      EvDocumentFind* document_find,
      EvPage* page,
      const gchar* text,
      EvFindOptions options
    )

#### Description

No description available.

#### Parameters

`page`

  Type: `EvPage`

  An `EvPage`.

  The data is owned by the caller of the function.

`text`

  Type: `const gchar*`

  Text to find.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`options`

  Type: `EvFindOptions`

  A set of `EvFindOptions`.

#### Return value

Type: A list of `EvRectangle*`

A list of results.

The caller of the function takes ownership of the data, and is responsible for freeing it.